Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 689)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 690)
@@ -70,6 +70,7 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
 import org.txm.function.tigersearch.TSIndex;
@@ -79,11 +80,11 @@
 import org.txm.index.rcp.editors.LineLabelProvider;
 import org.txm.index.rcp.messages.IndexUIMessages;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.widget.NavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
@@ -133,7 +134,7 @@
 	protected Button go;
 
 	/** The props area. */
-	protected PropertiesSelector<Property> propsArea;
+	protected PropertiesSelector propsArea;
 	// seuils
 	/** The Fmin spinner. */
 	protected Spinner FminSpinner;
@@ -362,7 +363,7 @@
 						if (index.getV() == 1)
 							message= ("one result");
 						else if (index.getV() > 0)
-							message= (IndexUIMessages.bind(RCPMessages.CreatePartition_55, index.getV(), index.getT()));
+							message= (IndexUIMessages.bind(TXMUIMessages.CreatePartition_5, index.getV(), index.getT()));
 						else
 							message= (IndexUIMessages.IndexEditor_31);
 
@@ -401,7 +402,7 @@
 					} catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+							System.out.println(TXMUIMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
 							System.out.println(IndexUIMessages.IndexEditor_10+e1);
 						}
@@ -454,7 +455,7 @@
 	 */
 	@Override
 	public void _createPartControl(final Composite parent) {
-
+		
 		FormLayout parentLayout = new FormLayout();
 		parent.setLayout(parentLayout);
 
@@ -862,8 +863,8 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(RCPMessages.ReferencerEditor_9);
-		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setText(TXMCoreMessages.common_units);
+		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -895,14 +896,14 @@
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		try {
 			if(partition != null)
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4+" T="+partition.getTotalSize()); //$NON-NLS-1$
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4+" T="+partition.getTotalSize()); //$NON-NLS-1$
 			else
-				freqColumn.setText(RCPMessages.FrequencyListEditorInput_4+" T="+corpus.getSize()); //$NON-NLS-1$
+				freqColumn.setText(TXMUIMessages.FrequencyListEditorInput_4+" T="+corpus.getSize()); //$NON-NLS-1$
 		} catch (CqiClientException e2) {
 			Log.printStackTrace(e2);
 			return;
 		}
-		freqColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4);
+		freqColumn.setToolTipText(TXMUIMessages.FrequencyListEditorInput_4);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -1211,19 +1212,21 @@
 		return this.index;
 	}
 
+
 	public Query getQuery() {
 		return new Query(queryWidget.getText());
 	}
 
 	@Override
 	public void updateResultFromEditor() {
-		// TODO Auto-generated method stub
-		
+		// FIXME: not yet implemented
+		System.err.println("TSIndexEditor.updateResultFromEditor(): not yet implemented.");
 	}
 
 	@Override
 	public void updateEditorFromResult(boolean update) {
-		// TODO Auto-generated method stub
-		
+		// FIXME: not yet implemented
+		System.err.println("TSIndexEditor.updateEditorFromResult(): not yet implemented.");
 	}
+
 }
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 689)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 690)
@@ -373,22 +373,7 @@
 		queryArea.forceFocus();
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
-	 */
 	@Override
-	public void doSave(IProgressMonitor monitor) { }
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSaveAs()
-	 */
-	@Override
-	public void doSaveAs() { }
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)
-	 */
-	@Override
 	public void init(IEditorSite site, IEditorInput input)
 			throws PartInitException {
 		setSite(site);
@@ -402,7 +387,7 @@
 			System.out.println("Error: "+e.getLocalizedMessage());
 			Log.printStackTrace(e);
 		} //$NON-NLS-1$ //$NON-NLS-2$
-		Log.severe(""+svgFile);
+		Log.severe(svgFile.toString());
 		
 		TIGERSearchEditorInput ii = (TIGERSearchEditorInput) input;
 		source = ii.getSource();
@@ -412,31 +397,17 @@
 		}
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#isDirty()
-	 */
 	@Override
-	public boolean isDirty() {
-		return false;
-	}
-
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
-	 */
-	@Override
-	public boolean isSaveAsAllowed() {
-		return false;
-	}
-
-	@Override
 	public void updateResultFromEditor() {
-		// TODO Auto-generated method stub
-		
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearchEditor.updateResultFromEditor(): not yet implemented.");
 	}
 
 	@Override
 	public void updateEditorFromResult(boolean update) {
-		// TODO Auto-generated method stub
-		
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearchEditor.updateEditorFromResult(): not yet implemented.");
 	}
+
+
 }
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 689)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 690)
@@ -5,10 +5,10 @@
 import java.util.List;
 
 import org.eclipse.core.runtime.IAdaptable;
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -206,6 +206,11 @@
 	public void clean() {
 		
 	}
+
+	@Override
+	public boolean delete() {
+		return corpus.removeResult(this);
+	}
 	
 	/**
 	 * 
@@ -243,24 +248,29 @@
 
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearch.setParameters(): not yet implemented.");
 		return false;
 	}
 
 	@Override
 	public boolean saveParameters() throws Exception {
-		// TODO Auto-generated method stub
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearch.saveParameters(): not yet implemented.");
 		return false;
 	}
 
 	@Override
 	public boolean loadParameters() throws Exception {
-		// TODO Auto-generated method stub
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearch.loadParameters(): not yet implemented.");
 		return false;
 	}
 
 	@Override
 	protected boolean _compute() throws Exception {
-		// TODO Auto-generated method stub
+		// FIXME: not yet implemented
+		System.err.println("TIGERSearch._compute(): not yet implemented.");
 		return false;
 	}
 }
Index: tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 689)
+++ tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 690)
@@ -4,12 +4,12 @@
 Bundle-SymbolicName: TIGERSearchRCP;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: tigersearch4txm.Activator
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.txm.rcp;bundle-version="0.7.8",
+ org.txm.core;bundle-version="0.7.0",
  org.eclipse.ui,
  org.eclipse.core.runtime,
  org.eclipse.ui.editors;bundle-version="3.8.200",
  org.eclipse.swt,
- org.txm.rcp;bundle-version="0.7.8",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.statsengine.core;bundle-version="1.0.0",
@@ -341,6 +341,5 @@
  tigerAPI.tools,
  tigersearch4txm,
  tigersearch4txm.handlers
+Import-Package: ims.tiger.gui.tigergraphviewer.forest
 Bundle-Vendor: Textometrie.org
-Bundle-ClassPath: lib/,
- .
